require 'csv'

CSV.readlines('db/loads/patients.csv', col_sep: "|", headers: true).each do |row|
  puts "#{row[0]} : #{row[1]}"
  patient = OpenStruct.new(
    first_name: row[1],
    last_name: row[2],
    birthdate: row[3],
    patient_id: row[6],
    patient_id_list: row[7],
    account_name: row[8],
    account_number: row[9],
    phone_number_home: row[10],
    set_id: row[11],
    address: row[12],
    address_house: row[13],
    address_village: row[14],
    address_road: row[15],
    address_soi: row[16],
    address_tambon: row[17],
    address_amphur: row[18],
    address_changwat: row[19],
    current_address: row[20],
    current_address_house: row[21],
    current_address_village: row[22],
    current_address_road: row[23],
    current_address_soi: row[24],
    current_address_tambon: row[25],
    current_address_amphur: row[26],
    current_address_changwat: row[27],
    address_muban: row[28],
    house_description: row[29],
    house_latitude: row[30],
    house_longitude: row[31],
    address_postcode: row[33],
    current_address_postcode: row[34],
    address_house_id: row[35],
    current_address_house_id: row[36],
    current_address_muban: row[37],
    phone_number_mobile: row[38],
    prename: row[39],
    sex: row[40],
    marital_status: row[41],
    religion: row[42],
    race: row[43],
    nationality: row[44],
    abo_group: row[45],
    rh_group: row[46],
    house_type: row[47],
    community_type: row[48],
    hospital: row[49],
    hospital_primary: row[50],
    hospital_destination: row[51],
    hospital_usual: row[52],
    created_by_client: row[53],
    creator: row[54]
  )
  # p patient
  p1 = Patient.create patient.to_h
  p p1.errors
end
